# -*- coding: utf-8 -*-
# @Time : 2023/1/3 11:00
# @Author : XuJiakai
# @File : check_queue
# @Software: PyCharm
from utils.rabbit_mq_info import get_all_queue_info
from utils.datetime_utils import get_now
import requests as r

queue_info = get_all_queue_info()
cpa_qcc_spider_num = queue_info['cpa_qcc_spider']
cpa_winhc_spider_num = queue_info['cpa_winhc_spider']

base_url = 'http://47.101.221.131:8288'

now_date = get_now()

msg = f'企查查队列剩余数据：{cpa_qcc_spider_num}\n赢火虫队列剩余数据：{cpa_winhc_spider_num}'

res = r.post(base_url + '/ding/send-msg', data=msg.encode('utf-8'))
print(res.text)

if cpa_qcc_spider_num > 0 or cpa_winhc_spider_num > 0:
    body = {
        "content": msg,
        "mobileNo": ['18538736690']

    }
    res = r.post(base_url + '/sms/send?sign=ansdvhhanvisdnhacamjklvrvrsjka', json=body)
    print(res.text)
    pass

if __name__ == '__main__':
    pass
