# -*- coding: utf-8 -*-
# @Time : 2022/11/24 16:57
# @Author : XuJiakai
# @File : base_utils
# @Software: PyCharm
import json
import jsonpath


def to_list(string: str):
    string = string.strip()
    return [i.strip() for i in string.split("\n") if i.strip() != '']
    pass


def parse_env_and_name(val, env):
    if '.' in val:
        tmp = val.split('.')
        env = tmp[0]
        val = tmp[1]
    return env, val


def map_2_json_str(m: map):
    return json.dumps(m, indent=4, ensure_ascii=False, sort_keys=True)
    pass


def json_path(data: map, key):
    if data is None:
        return None

    tmp_v = jsonpath.jsonpath(data, key)
    if tmp_v:
        return tmp_v[0]
    else:
        return None
    pass


def tuple_max(*tu: tuple):
    result = None
    for i in tu:
        if result is None:
            result = i
            pass
        else:
            if i is tuple:
                if i[0] is not None and i[0] >= result[0]:
                    result = i
                pass
            else:
                if i is not None and i >= result:
                    result = i
                pass

            pass
        pass
    return result


def get_str_intersection(*ele: str):
    ele = [i for i in ele if i is not None]
    if len(ele) == 0:
        return None
    if len(ele) == 1:
        return ele[0]
    res = ''
    min_len = min([len(i) for i in ele])

    for i in range(min_len):
        tmp_v = None
        for j in ele:
            if tmp_v is None:
                tmp_v = j[i]
            else:
                if not tmp_v == j[i]:
                    return res
        res += tmp_v
        pass
    return res
    pass


if __name__ == '__main__':
    # print(tuple_max('4', None))
    print(get_str_intersection('4a5', '345'))
    from utils.datetime_utils import get_ds,get_yesterday_ds

    today_ds = get_ds()
    yesterday_ds = get_yesterday_ds()

    # scan_ds = today_ds[:-2]
    scan_ds = get_str_intersection(today_ds, yesterday_ds)
    print(scan_ds)

    pass
