# -*- coding: utf-8 -*-
# @Time : 2023/1/3 10:47
# @Author : XuJiakai
# @File : rabbit_mq_info
# @Software: PyCharm
import requests as r

from utils.base_utils import map_2_json_str

rabbit_mq_host = 'http://106.15.78.184:15672'
username = 'whc'
pwd = 'whc'


def get_all_queue_info(host: str = rabbit_mq_host, username: str = username, pwd: str = pwd):
    res = r.get(host + '/api/queues', auth=(username, pwd))
    data = res.json()
    all_info = {}
    for i in data:
        all_info[i['name']] = i['messages']
    return all_info


if __name__ == '__main__':
    result_data = get_all_queue_info(rabbit_mq_host, username, pwd)
    print(map_2_json_str(result_data))
    pass
